/*                      LEKCJA03.C
//---------------------------------------------------------------------------
Temat:
        Wybr pliku i wywoanie rozkazw MegaCAD
//---------------------------------------------------------------------------
Funkcje:
        EXT(204) short GetFilename(    
        EXT(206) void MegaCMD(         
//---------------------------------------------------------------------------

EXT(204) short GetFilename(    // 
             char *title,      // nazwa okna dialogowego
             char *fname);     // nazwa katalugu

Opis:
    Funkcja pozwala uytkownikowi wybra plik poprzez wskazanie jego nazwy.
    Wylistowane zostaj pliki umieszczone w katalogu 'fname'.

Return:
    TRUE  => po potwierdzeniu "ok"
    FALSE => po wybraniu "powrt"

Przykad wywoania:
    if(GetFilename("Wybr rysunku",fname))
//---------------------------------------------------------------------------

EXT(206) void MegaCMD(         // 
             char *cmd);       // rozkaz [argumenty]

Opis:
    Funkcja pozwala wywoa rozkaz MegaCADa wraz z argumentami.
    Lista rozkazw znajduje si w pliku 'funcnam.ini'.
    Nie moliwe jest wywoanie aktywnego ju rozkazu, to znaczy nie da si
    z poziomu interpretera wywoa rozkazu 'InterP'.

Przykad wywoania:
    MegaCMD(buf);

*/
//---------------------------------------------------------------------------
#include "std.h"
#include "megatyp.h"
#include "megacad.h"
//---------------------------------------------------------------------------
short main(char *filename,char *args)
{
   char fname[200];
   char buf[200];
  
   strcpy(fname,"C:\\MEGACAD\\PRT\\*.PRT");
   if(GetFilename("Wybr rysunku",fname))
   {
      sprintf(buf,"%s%s","PrtLoad ",fname);
      Message("wykonany zostanie rozkaz:",
                 buf,NULL,NULL,"ok",3);
      MegaCMD(buf);
   }
   return(0);
}
//---------------------------------------------------------------------------
